LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::text::ParagraphVertAlign Constant Group Referencepublished

These enumeration values are used to specify the vertical alignment of paragraphs. More...

## Variables
const short | AUTOMATIC = 0
| In automatic mode, horizontal text is aligned to the baseline. More...
const short | BASELINE = 1
| The text is aligned to the baseline. More...
const short | TOP = 2
| The text is aligned to the top. More...
const short | CENTER = 3
| The text is aligned to the center. More...
const short | BOTTOM = 4
| The text is aligned to bottom. More...

## Detailed Description

These enumeration values are used to specify the vertical alignment of paragraphs.

## Variable Documentation

## ◆ AUTOMATIC

const short AUTOMATIC = 0

In automatic mode, horizontal text is aligned to the baseline.

The same applies to text that is rotated 90°. Text that is rotated 270 ° is aligned to the center.

## ◆ BASELINE

const short BASELINE = 1

The text is aligned to the baseline.

## ◆ BOTTOM

const short BOTTOM = 4

The text is aligned to bottom.

## ◆ CENTER

const short CENTER = 3

The text is aligned to the center.

## ◆ TOP

const short TOP = 2

The text is aligned to the top.